﻿using System;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt;
        if (Session["data"] == null)
        {
            dt = new DataTable("DummyData");
            dt.Columns.Add("Id", typeof(String));
            dt.Columns.Add("NumCol", typeof(int));
            dt.Columns.Add("DateCreated", typeof(DateTime));
            for (int i = 1; i <= 40; i++)
            {
                dt.Rows.Add(new object[] { "ID" + i.ToString(), i, DateTime.Now });
            }
            dt.PrimaryKey = new DataColumn[] { dt.Columns[0] };
            Session["data"] = dt;
        }
        this.WebDataGrid1.DataSource = Session["data"];
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
    }

    protected void WebDataGrid1_InitializeRow(object sender, RowEventArgs e)
    {
        if (e.Row.Index == 0)
        {
            this.WebDataGrid1.Behaviors.ColumnFixing.FixedColumns.Add("NumCol", FixLocation.Left);
        }
    }
}